.\"	$NetBSD: talkd.8,v 1.9 2004/03/24 05:32:42 fair Exp $
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)talkd.8	8.2 (Berkeley) 12/11/93
.\"
.Dd March 23, 2004
.Dt NTALKD 8
.Os
.Sh NAME
.Nm ntalkd ,
.Nm talkd
.Nd remote user communication server
.Sh SYNOPSIS
.Nm
.Op Fl dl
.Sh DESCRIPTION
.Nm
is the server that notifies a user that someone else wants to
initiate a conversation.
It acts as a repository of invitations, responding to requests
by clients wishing to rendezvous to hold a conversation.
.Pp
In normal operation, a client, the caller,
initiates a rendezvous by sending a
.Tn CTL_MSG
to the server of
type
.Tn LOOK_UP
.Po
see
.Aq Pa protocols/talkd.h
.Pc .
This causes the server to search its invitation
tables to check if an invitation currently exists for the caller
(to speak to the callee specified in the message).
If the lookup fails,
the caller then sends an
.Tn ANNOUNCE
message causing the server to
broadcast an announcement on the callee's login ports requesting contact.
.Pp
When the callee responds, the local server uses the
recorded invitation to respond with the appropriate rendezvous
address and the caller and callee client programs establish a
stream connection through which the conversation takes place.
.Sh OPTIONS
.Nm
supports the following options:
.Bl -tag -width 12345
.It Fl d
The
.Fl d
option turns on debugging logging.
.It Fl l
The
.Fl l
option turns on accounting logging for
.Nm
via the
.Xr syslogd 8
service.
.El
.Sh FILES
.Pa /usr/libexec/ntalkd
.Sh SEE ALSO
.Xr talk 1 ,
.Xr write 1 ,
.Xr syslog 3 ,
.Xr syslogd 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.3 .
.Pp
The original talkd program was coded improperly,
in a machine and byte-order dependent fashion.
When this was corrected, it required a protocol
change, which necessitated a different daemon to
handle it, thus
.Nm
or
.Qq new
talk daemon.
The old daemon has long since been removed,
but the detritus remain.
